//
//  BFVideoCoverViewCell.swift
//  BFRecordScreenKit
//
//  Created by SanW on 2021/12/15.
//  Copyright © 2021 BytesFlow. All rights reserved.
//

import UIKit
import GPUImage

open class BFVideoCoverViewCell: BFImageCoverViewCell {

    @objc public class func gpuVideoViewCell(collectionView: UICollectionView, indexPath: IndexPath) -> BFVideoCoverViewCell {
        let cell: BFVideoCoverViewCell = collectionView.dequeueReusableCell(withReuseIdentifier: String(describing: BFVideoCoverViewCell.self), for: indexPath) as! BFVideoCoverViewCell
        return cell
    }
    
    public override func addData() {
        super.addData()
        if let asset = recordItem?.videoAsset {
            let degress = degressFromVideoFile(asset: asset)
            switch degress {
            case 90:
                playView.setInputRotation(GPUImageRotationMode(rawValue: 2), at: 0)
            case 180:
                playView.setInputRotation(GPUImageRotationMode(rawValue: 7), at: 0)
            case 270:
                playView.setInputRotation(GPUImageRotationMode(rawValue: 1), at: 0)
            default:
                break
            }
        }
    }

}
